Summary: Scripts to get the IBM x40 and x42 series laptops to sleep correctly
Name: acpi-sleep
Version: 0.0.1
Release: 1
Copyright: GPL
Group: System Environment/Kernel
Source: http://people.redhat.com/vanhoof/acpi-sleep/acpi-suspend-to-ram.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
BuildArch: noarch

%description
This package should correctly configure your IBM x40 or x42 series laptop
to sleep correctly in Fedora Core 3, Fedora Core 4, or Red Hat Enterprise
Linux 4.

It may work for other laptops also.

%prep 
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{name}-%{version}

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/acpi/actions/
mkdir -p ${RPM_BUILD_ROOT}/etc/acpi/events/
cp etc/acpi/actions/sleep.sh ${RPM_BUILD_ROOT}/etc/acpi/actions/sleep.sh

cp etc/acpi/events/lid.conf ${RPM_BUILD_ROOT}/etc/acpi/events/lid.conf
cp etc/acpi/events/sleep.conf ${RPM_BUILD_ROOT}/etc/acpi/events/sleep.conf
cp etc/acpi/events/powerbutton.conf ${RPM_BUILD_ROOT}/etc/acpi/events/powerbutton.conf

%files
%defattr(-,root,root)
%doc README

# the action to do on stuff
/etc/acpi/actions/sleep.sh

# configuration.
/etc/acpi/events/lid.conf
/etc/acpi/events/sleep.conf
/etc/acpi/events/powerbutton.conf


%changelog
* Fri Nov 11 2005 Wade Mealing <wmealing@redhat.com>
- Rebuilt this into an rpm package because vanhoof is too lazy.
